<?php
/*
 * Satoko startup
 * (c) 2013-2016 Julian van de Groep <https://flash.moe>
 */

namespace Satoko;

use Phroute\Phroute\RouteCollector;

// Require composer libraries
require_once __DIR__ . '/../vendor/autoload.php';

// Initialise the configuration
Config::init("path/to/right/now/nonexistent/configuration.ini");

// Setup the database connection
DB::setup(
    Config::get('database')
);

// Create the router
$router = new RouteCollector;

// Require the routes file
require_once 'routes.php';
